Subject: bug#23144: shrinking windows with gtk 3.20

From: martin rudalics <[email-masked]>
Date: Fri, 24 Mar 2017 14:24:57 +0100

> Yaakov Selkowitz has pointed out that the fix for this bug on the
 > emacs-25 branch should have used the function gtk_check_version rather
 > than the macro GTK_CHECK_VERSION.  The function checks the version at
 > runtime, while the macro checks the version at build time.

 > The effect of using the macro is that the bug can suddenly show up
 > after a gtk update, and a rebuild of emacs with the new gtk is
 > required.

gtkutil.c has 19 uses of GTK_CHECK_VERSION and none of the function.  So
we probably should replace them all.  Bit of annoying.

martin